> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Cancel a Recurring Gift

PUT https://api.virtuoussoftware.com/api/RecurringGift/Cancel/{recurringGiftId}
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/cancel-a-recurring-gift

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `recurringGiftId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `cancelReason` (string, optional)
- `categoryId` (string, optional)

## Response

### 200

OK

- `id` (string, optional)
- `transactionSource` (string, optional)
- `transactionId` (string, optional)
- `contactId` (string, optional)
- `startDate` (string, optional)
- `amount` (string, optional)
- `frequency` (string, optional)
- `anticipatedEndDate` (string, optional)
- `cancelDateTimeUtc` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `segmentId` (string, optional)
- `segment` (string, optional)
- `segmentUrl` (string, optional)
- `automatedPayments` (string, optional)
- `trackPayments` (string, optional)
- `isPrivate` (string, optional)
- `status` (string, optional)
- `nextExpectedPaymentDate` (string, optional)
- `designations` (list of ApiRecurringGiftCancelRecurringGiftIdPutResponsesContentApplicationJsonSchemaDesignationsItems, optional)
- `customFields` (list of ApiRecurringGiftCancelRecurringGiftIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Types

### ApiRecurringGiftCancelRecurringGiftIdPutResponsesContentApplicationJsonSchemaDesignationsItems

- `projectId` (string, optional)
- `project` (string, optional)
- `projectUrl` (string, optional)
- `amountDesignated` (string, optional)
- `projectCode` (string, optional)

### ApiRecurringGiftCancelRecurringGiftIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Request**

```json
{
  "cancelReason": "<string>",
  "categoryId": "<integer>"
}
```

**Response**

```json
{
  "id": "<integer>",
  "transactionSource": "<string>",
  "transactionId": "<string>",
  "contactId": "<integer>",
  "startDate": "<dateTime>",
  "amount": "<double>",
  "frequency": "<string>",
  "anticipatedEndDate": "<dateTime>",
  "cancelDateTimeUtc": "<dateTime>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "segmentId": "<integer>",
  "segment": "<string>",
  "segmentUrl": "<string>",
  "automatedPayments": "<boolean>",
  "trackPayments": "<boolean>",
  "isPrivate": "<boolean>",
  "status": "<string>",
  "nextExpectedPaymentDate": "<dateTime>",
  "designations": [
    {
      "projectId": "<integer>",
      "project": "<string>",
      "projectUrl": "<string>",
      "amountDesignated": "<double>",
      "projectCode": "<string>"
    },
    {
      "projectId": "<integer>",
      "project": "<string>",
      "projectUrl": "<string>",
      "amountDesignated": "<double>",
      "projectCode": "<string>"
    }
  ],
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Giving_cancelARecurringGift_example
import requests

url = "https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId"

payload = {
    "cancelReason": "<string>",
    "categoryId": "<integer>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Giving_cancelARecurringGift_example
const url = 'https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"cancelReason":"<string>","categoryId":"<integer>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_cancelARecurringGift_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId"

	payload := strings.NewReader("{\n  \"cancelReason\": \"<string>\",\n  \"categoryId\": \"<integer>\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_cancelARecurringGift_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"cancelReason\": \"<string>\",\n  \"categoryId\": \"<integer>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Giving_cancelARecurringGift_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"cancelReason\": \"<string>\",\n  \"categoryId\": \"<integer>\"\n}")
  .asString();
```

```php Giving_cancelARecurringGift_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId', [
  'body' => '{
  "cancelReason": "<string>",
  "categoryId": "<integer>"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Giving_cancelARecurringGift_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"cancelReason\": \"<string>\",\n  \"categoryId\": \"<integer>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Giving_cancelARecurringGift_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "cancelReason": "<string>",
  "categoryId": "<integer>"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/RecurringGift/Cancel/recurringGiftId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```